#include <LinuxProcess.h>
#include <string.h>

int main ( void )
{
int idx=0;

LinuxProcessList list;
LinuxProcessReply * reply = list.getProc();
LinuxProcessData  * data;

for(idx=0; (data=(*reply)[idx])!=NULL; idx++)
	{
	if(!strcmp(data->execName, "java"))
		{
		LinuxProcessReply * subReply = list.getProcByPid(data->parent);
		LinuxProcessData  * subData  = (*subReply)[0];
		
		if(subData!=NULL && strcmp(data->cmdline, subData->cmdline))
			{
			fprintf(stdout, 
				"%-7i %-8.8s %-8.8s %s\n", 
				data->pid,
				data->user,
				data->group,
				data->cmdline);
			}
		delete subReply;
		}
	}
delete reply;
return !idx;
}
