#include <PBS_Server.h>

const char * msg_daemonname = SetLogLocal("testUnderlord");

int main ( int argc, char ** argv)
{
int connID;
if(argc<2)
	{
	fprintf(stdout, "Format is : dumpNodes [server] <node1> <node2> ...\n\n");
	}
else if((connID = pbs_connect(argv[1]))<=0)
	{
	fprintf(stdout, "%s does not appear to be a valid server\n", argv[1]);
	}
else	{
	PBS_Server server(connID);
	
	if(argc==2)
		{
		PBS_NodeList & node = server;
		node.asciiDump();
		}
	else for(int i=0; i<argc; i++)
		{
		PBS_Node * node = server.getNode(argv[i]);
		if(node) node->asciiDump();
		}
		
	pbs_disconnect(server.getConnectionID());
	}
return 0;
}
